package request

import (
	"topsdk/ability571/domain"
	"topsdk/util"
)

type AlibabaHmMarketingItempoolAdditemRequest struct {
	/*
	   商品对象     */
	Param0 *domain.AlibabaHmMarketingItempoolAdditemItemPoolSku `json:"param0" required:"true" `
	/*
	   活动基本信息     */
	Param1 *domain.AlibabaHmMarketingItempoolAdditemCommonActivityParam `json:"param1" required:"true" `
}

func (s *AlibabaHmMarketingItempoolAdditemRequest) SetParam0(v domain.AlibabaHmMarketingItempoolAdditemItemPoolSku) *AlibabaHmMarketingItempoolAdditemRequest {
	s.Param0 = &v
	return s
}
func (s *AlibabaHmMarketingItempoolAdditemRequest) SetParam1(v domain.AlibabaHmMarketingItempoolAdditemCommonActivityParam) *AlibabaHmMarketingItempoolAdditemRequest {
	s.Param1 = &v
	return s
}

func (req *AlibabaHmMarketingItempoolAdditemRequest) ToMap() map[string]interface{} {
	paramMap := make(map[string]interface{})
	if req.Param0 != nil {
		paramMap["param0"] = util.ConvertStruct(*req.Param0)
	}
	if req.Param1 != nil {
		paramMap["param1"] = util.ConvertStruct(*req.Param1)
	}
	return paramMap
}

func (req *AlibabaHmMarketingItempoolAdditemRequest) ToFileMap() map[string]interface{} {
	fileMap := make(map[string]interface{})
	return fileMap
}
